
Foreman - Bug #25567

Wrong provision method signature for RancherOS

11/28/2018 10:59 AM - John D.

Status: Closed   

Priority: Normal   

Assignee: Tomer Brisker   

Category: TFTP   

Target version: 1.20.1   

Difficulty:  Fixed in Releases: 1.20.1, 1.21.0

Triaged: Yes Found in Releases: 1.20.0

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/6287

  

Description

Description of problem:

After upgrading from Foreman 1.19 to Foreman 1.20, RancherOS provisioning is not possible.

Unable to render PXELinux template ‘PXE RancherOS’: wrong number of arguments (given 1, expected 2

…3)

Fetch TFTP boot files for pxetest.container.domain.de task failed with the following error: wrong 

number of arguments (given 1, expected 2…3)

 How reproducible:

Upgrade Foreman from 1.19 to 1.20 and try to provision RancherOS.

Workaround:

Comment out /usr/share/foreman/app/models/operatingsystems/rancheros.rb

  def boot_files_uri(medium, architecture, host = nil)

    super(medium, architecture, host)

  end

Related issues:

Related to Foreman - Feature #19389: Change TFTP filename pattern to include ... Closed

Related to Foreman - Bug #25613: Template snapshot tests should use multiple ... New

Associated revisions

Revision 5842df48 - 12/04/2018 04:00 PM - Tomer Brisker

Fixes #25567 - Fix TFTP for RancherOS

History

#1 - 11/28/2018 11:05 AM - Tomer Brisker

- Assignee set to Tomer Brisker

- Target version set to 1.20.1

- Triaged changed from No to Yes

#2 - 11/28/2018 11:06 AM - Tomer Brisker

- Related to Feature #19389: Change TFTP filename pattern to include unique installation media ID added

#3 - 11/28/2018 11:35 AM - The Foreman Bot

- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/6287 added

#4 - 12/04/2018 01:17 PM - Tomer Brisker

- Related to Bug #25613: Template snapshot tests should use multiple OS families added

#5 - 12/04/2018 04:01 PM - Tomer Brisker

- Status changed from Ready For Testing to Closed

Applied in changeset 5842df480a34fa07dca79183ffb59b5d22c3241d.

#6 - 12/04/2018 04:06 PM - Tomer Brisker

- Fixed in Releases 1.20.1, 1.21.0 added
